
import { Button, Modal } from "react-bootstrap";

import okImg from '@assets/images/ok.svg'

import './retrieve-modal.scss'

const RetrieveModalFailure = ({show, onHide}) => {
    
    return (
          <Modal
            show={show}
            onHide={onHide}
            backdrop="static"
            keyboard={false}
            aria-labelledby="contained-modal-title-vcenter"
          >
            <Modal.Header closeButton>
              <Modal.Title id="contained-modal-title-vcenter">
                <h2>Error retrieving session</h2>
              </Modal.Title>
            </Modal.Header>
            <Modal.Body className="grid-example scrollable-body">
              <h2>No session with that code available.</h2>
            </Modal.Body>
            <Modal.Footer>
                <span role="button" onClick={onHide} className="alignItem">
                  <img  className="ok recolour-icons" src={okImg} alt="" />
                  <Button className="text-decoration-underline" variant="none">
                    Ok
                  </Button>
                </span>
            </Modal.Footer>
          </Modal>
    )
}

export default RetrieveModalFailure